Update Agent
curl --request PUT \
--url https://api.rapidcall.ai/api/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"promptDraft": "<string>",
"promptPublished": "<string>",
"welcome": {},
"voice": {},
"llmModel": "<string>",
"language": "<string>",
"enabledTools": [
"<string>"
],
"toolConfigs": {},
"webhookUrl": "<string>",
"agentType": "<string>",
"role": "<string>"
}
'import requests
url = "https://api.rapidcall.ai/api/agents/{id}"
payload = {
"name": "<string>",
"promptDraft": "<string>",
"promptPublished": "<string>",
"welcome": {},
"voice": {},
"llmModel": "<string>",
"language": "<string>",
"enabledTools": ["<string>"],
"toolConfigs": {},
"webhookUrl": "<string>",
"agentType": "<string>",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
promptDraft: '<string>',
promptPublished: '<string>',
welcome: {},
voice: {},
llmModel: '<string>',
language: '<string>',
enabledTools: ['<string>'],
toolConfigs: {},
webhookUrl: '<string>',
agentType: '<string>',
role: '<string>'
})
};
fetch('https://api.rapidcall.ai/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Update Agent
Update an existing agent’s configuration
PUT
/
api
/
agents
/
{id}
Update Agent
string
required
The agent ID. Example:
agent_abc123string
Agent display name.
string
Draft system prompt.
string
Published (live) system prompt.
object
Welcome message configuration. See Create Agent for nested fields.
object
TTS voice configuration. See Create Agent for nested fields.
string
LLM model name (e.g.,
"gpt-4o", "gpt-4.1", "claude-sonnet-4-20250514").string
Language code.
string[]
Enabled tool list.
object
Per-tool configuration.
string
Post-call webhook URL.
string
"inbound" or "outbound".string
"reception", "booking", "sales", or "followup".Request
curl -X PUT https://api.rapidcall.ai/api/agents/agent_abc123 \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Reception Bot v2",
"promptDraft": "Updated instructions...",
"llmModel": "gpt-4.1"
}'
Response
Returns the full updated agent object wrapped in{ "agent": { ... } }.
Changes take effect on the next call. Active calls are not affected.
